Bug 1460874 - In section 2.2.3 the example "date --set 2013-06-02 23:26:00" don't have quote mark
In section 2.2.3 the example "date --set 2013-06-02 23:26:00" don't have quot...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-System_Administrators_Guide (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Marie Dolezelova
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 22:52 EDT by Nolan Wei
Modified: 2017-08-10 08:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-10 08:00:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nolan Wei 2017-06-12 22:52:25 EDT
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7-Beta/html/System_Administrators_Guide/sect-Configuring_the_Date_and_Time-date.html#sect-Configuring_the_Date_and_Time-date-Date

Section Number and Name: 
2.2.3. Changing the Current Date

Describe the issue: 
In the example to change the system date, it's said.

To change the current date, run the date command with the --set or -s option as root:
date --set YYYY-MM-DD
To change the current date to 2 June 2013 and keep the current time (11:26 p.m.), run the following command as root:
~]# date --set 2013-06-02 23:26:00



But if we do a test in our RHEL7 system, run the command "# date --set 2013-06-02 23:26:00" immediately, it will prompts error.

# date --set 2013-06-02 23:26:00
date: the argument ‘23:26:00’ lacks a leading '+';
when using an option to specify date(s), any non-option
argument must be a format string beginning with '+'
Try 'date --help' for more information


We need the single quotation or double quotation mark here.
# date --set '2013-06-02 23:26:00'
Sun Jun  2 23:26:00 CST 2013


Suggestions for improvement: 
Modify this section 2.2.3 and add the single quotation or double quotation mark in the example.

Additional information: 
This also happens in 7.4 system administrator guide.

Note You need to log in before you can comment on or make changes to this bug.